Package ghidra.trace.database.program

# Class DBTraceProgramViewListing

java.lang.Object
ghidra.trace.database.program.AbstractDBTraceProgramViewListing
ghidra.trace.database.program.DBTraceProgramViewListing

All Implemented Interfaces:
  `Listing`, `TraceProgramViewListing`

public class DBTraceProgramViewListing extends AbstractDBTraceProgramViewListing

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.trace.database.program.AbstractDBTraceProgramViewListing

  `AbstractDBTraceProgramViewListing.DBTraceProgramViewUndefinedData`

- ## Field Summary

  ### Fields inherited from class ghidra.trace.database.program.AbstractDBTraceProgramViewListing

  `codeOperations, EMPTY_STRING_ARRAY, fragmentsByRegion, program, rootModule, TREE_NAME, undefinedCache`

  ### Fields inherited from interface ghidra.program.model.listing.Listing

  `DEFAULT_TREE_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTraceProgramViewListing(DBTraceProgramView program)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearAll(boolean clearContext, TaskMonitor monitor)`
  Removes all CodeUnits, comments, properties, and references from the listing.
  `void`
  `clearCodeUnits(Address startAddr, Address endAddr, boolean clearContext, TaskMonitor monitor)`
  Clears any code units in the given range returning everything to "db"s, and removing any references in the affected area.
  `boolean`
  `isUndefined(Address start, Address end)`
  Checks if the given ranges consists entirely of undefined data.

  ### Methods inherited from class ghidra.trace.database.program.AbstractDBTraceProgramViewListing

  `addInstructions, clearCodeUnits, clearComments, clearProperties, createData, createData, createFunction, createFunction, createInstruction, createRootModule, doCreateUndefinedUnit, getAddressSet, getAllComments, getCodeUnitAfter, getCodeUnitAt, getCodeUnitBefore, getCodeUnitContaining, getCodeUnitIterator, getCodeUnitIterator, getCodeUnitIterator, getCodeUnitIterator, getCodeUnitIterator, getCodeUnitIterator, getCodeUnits, getCodeUnits, getCodeUnits, getComment, getCommentAddressCount, getCommentAddresses, getCommentAddresses, getCommentAddressIterator, getCommentAddressIterator, getCommentCodeUnitIterator, getCommentHistory, getData, getData, getData, getDataAfter, getDataAt, getDataBefore, getDataContaining, getDataIterator, getDataIterator, getDataIterator, getDataTypeManager, getDefaultRootModule, getDefinedCodeUnitAfter, getDefinedCodeUnitBefore, getDefinedData, getDefinedData, getDefinedData, getDefinedDataAfter, getDefinedDataAt, getDefinedDataBefore, getDefinedDataContaining, getDefinedDataIterator, getDefinedDataIterator, getDefinedDataIterator, getDefinedUnitIterator, getDefinedUnitIterator, getExternalFunctions, getFirstUndefinedData, getFragment, getFragment, getFunctionAt, getFunctionContaining, getFunctions, getFunctions, getFunctions, getFunctions, getGlobalFunctions, getInstructionAfter, getInstructionAt, getInstructionBefore, getInstructionContaining, getInstructionIterator, getInstructionIterator, getInstructionIterator, getInstructions, getInstructions, getInstructions, getModule, getNumCodeUnits, getNumDefinedData, getNumInstructions, getProgram, getPropertyMap, getRootModule, getRootModule, getSnap, getTopCode, getTopCodeIterator, getTrace, getTreeNames, getUndefinedDataAfter, getUndefinedDataAt, getUndefinedDataBefore, getUndefinedDataIterator, getUndefinedDataIterator, getUndefinedRangeIterator, getUndefinedRanges, getUnitComparator, getUserDefinedProperties, isInFunction, isUndefinedRange, next, orUndef, orUndefData, removeFunction, removeTree, removeUserDefinedProperty, renameTree, reqUndef, setComment`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.program.model.listing.Listing

  `getComment, getCommentAddressIterator, getCommentCodeUnitIterator, getCommentHistory, setComment`

- ## Constructor Details

  - ### DBTraceProgramViewListing

    public DBTraceProgramViewListing(DBTraceProgramView program)

- ## Method Details

  - ### isUndefined

    public boolean isUndefined(Address start, Address end)
    Description copied from interface: `Listing`
    Checks if the given ranges consists entirely of undefined data.
    Parameters:
      `start` - The start address of the range to check.
      `end` - The end address of the range to check.
    Returns:
      boolean true if the given range is in memory and has no instructions or defined data.

  - ### clearCodeUnits

    public void clearCodeUnits(Address startAddr, Address endAddr, boolean clearContext, TaskMonitor monitor) throws CancelledException
    Description copied from interface: `Listing`
    Clears any code units in the given range returning everything to "db"s, and removing any references in the affected area. Note that the module and fragment structure is unaffected. If part of a code unit is contained in the given address range then the whole code unit will be cleared.
    Parameters:
      `startAddr` - the start address of the area to be cleared.
      `endAddr` - the end address of the area to be cleared.
      `clearContext` - clear context register values if true
      `monitor` - monitor that can be used to cancel the clear operation
    Throws:
      `CancelledException` - if the operation was cancelled.

  - ### clearAll

    public void clearAll(boolean clearContext, TaskMonitor monitor)
    Description copied from interface: `Listing`
    Removes all CodeUnits, comments, properties, and references from the listing.
    Parameters:
      `clearContext` - if true, also clear any instruction context that has been laid down from previous disassembly.
      `monitor` - used for tracking progress and cancelling the clear operation.